Bug 42512 - rpm -4.0.3-26 install warning
rpm -4.0.3-26 install warning
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-27 19:13 EDT by sean
Modified: 2007-04-18 12:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-29 06:51:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sean 2001-05-27 19:13:35 EDT
Description of Problem:
When installing the rpm from rawhide, I get::

[root@localhost i386]# rpm -Fvh rpm*
Preparing...                ###########################################
[100%]
groupadd: group rpm exists
useradd: user rpm exists
   1:rpm                    ########################################### [
25%]
error: cannot get exclusive lock on /var/lib/rpm/Packages
error: cannot open Packages index using db3 - Operation not permitted (1)
   2:rpm-build              ########################################### [
50%]
   3:rpm-devel              ########################################### [
75%]
   4:rpm-python             ###########################################
[100%]
[root@localhost i386]# rpm -q db3
db3-3.1.17-7
[root@localhost i386]# rpm -q rpm
rpm-4.0.3-0.26

As you can see, it seems to install OK. It seems an odd warning. Nothing
else was running at the time.

How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
Comment 1 Bill Crawford 2001-05-29 06:51:19 EDT
Not just you, happpens to me too.  Repeatable by repeating the install using rpm
-Uvh --force, too.

[root@fraser RPMS]# rpm -Uvh --force rpm-4.0.3-0.26.i386.rpm 
Preparing...                ########################################### [100%]
groupadd: group rpm exists
useradd: user rpm exists
   1:rpm                    ########################################### [100%]
error: cannot get exclusive lock on /var/lib/rpm/Packages
error: cannot open Packages index using db3 - Operation not permitted (1)
Comment 2 Jeff Johnson 2001-05-30 08:41:50 EDT
Yup. The %post in rpm is running "rpm --initdb" even when /var/lib/rpm/Packages
exists.

FIxed in next CVS checkin, should be in rpm-4.0.3-0.29.

Note You need to log in before you can comment on or make changes to this bug.